# MavenArtifact

API Documentation: | `MavenArtifact`

An artifact published as part of a `MavenPublication`.

### Properties

Property | Description
`buildDependencies` | Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.
`classifier` | The classifier used to publish the artifact file. A `null` value (the default) indicates that this artifact will be published without a classifier.
`extension` | The extension used to publish the artifact file, never `null`. For an artifact without an extension, this value will be an empty String.
`file` | The actual file contents to publish.

### Methods

Method | Description
`builtBy(tasks)` | Registers some tasks which build this artifact.

### Script blocks

No script blocks

### Property details

#### `TaskDependency` `buildDependencies` (read-only)

Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.

#### `String` `classifier`

The classifier used to publish the artifact file. A `null` value (the default) indicates that this artifact will be published without a classifier.

#### `String` `extension`

The extension used to publish the artifact file, never `null`. For an artifact without an extension, this value will be an empty String.

#### `File` `file` (read-only)

The actual file contents to publish.

### Method details

#### `void` `builtBy`(``Object`...` tasks)

Registers some tasks which build this artifact.